osl::checkmate::CheckmateIfCapture::CallDefense Struct Reference

## Public Member Functions

void | operator() (Square last_to)

## Public Attributes

NumEffectState * | state
int | depth
bool | result

## Detailed Description

Definition at line 9 of file checkmateIfCapture.cc.

## Member Function Documentation

## operator()()

void osl::checkmate::CheckmateIfCapture::CallDefense::operator() | ( | Square | last_to | ) |

inline

Definition at line 14 of file checkmateIfCapture.cc.

References osl::checkmate::CheckmateIfCapture::cannotCapture(), depth, result, and state.

## Member Data Documentation

## depth

int osl::checkmate::CheckmateIfCapture::CallDefense::depth

Definition at line 12 of file checkmateIfCapture.cc.

Referenced by operator()().

## result

bool osl::checkmate::CheckmateIfCapture::CallDefense::result

Definition at line 13 of file checkmateIfCapture.cc.

Referenced by osl::checkmate::CheckmateIfCapture::effectiveAttack(), and operator()().

## state

NumEffectState* osl::checkmate::CheckmateIfCapture::CallDefense::state

Definition at line 11 of file checkmateIfCapture.cc.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- checkmateIfCapture.cc